#ifndef DIALOGS_H
#define DIALOGS_H

/****************************************************************

    Copyright (c) 1996-1997 Fred Pesch

    This program is free software; you can redistribute it 
    and/or modify it under the terms of the GNU General 
    Public License as published by the Free Software 
    Foundation (version 2 of the License).

    This program is distributed in the hope that it will 
    be useful, but WITHOUT ANY WARRANTY; without even the 
    implied warranty of MERCHANTABILITY or FITNESS FOR A 
    PARTICULAR PURPOSE.  See the GNU General Public License 
    for more details.

    For a copy of the GNU General Public License, write to the 
    Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
    MA 02139, USA.

****************************************************************/

typedef struct {
  int interactive;
  int recurse;
  int preserve_access;
  int preserve_links;
  int update;
  int hardlinks;
  int symlinks;
  int one_filesystem;
} TCopyFlags;

typedef struct {
  int interactive;
  int update;
} TMoveFlags;

typedef struct {
  int interactive;
  int recurse;
} TDeleteFlags;

typedef struct {
  int user_read;
  int user_write;
  int user_exec;
  int group_read;
  int group_write;
  int group_exec;
  int others_read;
  int others_write;
  int others_exec;
} TAttributesFlags;

typedef struct {
  int gzip;
  int absolute;
  int dereference;
  int preserve;
  int one_filesystem;
  int block_size;
  int block_size_value;
} TTarFlags;

typedef struct {
  int quality;
  int interactive;
  int recurse;
} TGZipFlags;

typedef struct {
  int size;
  int prefix;
  char *prefix_value;
} TSplitFlags;

extern void FileCopyRoutine(void);
extern void FileCopyInitDialog(void);

extern void FileMoveRoutine(void);
extern void FileMoveInitDialog(void);

extern void FileDeleteRoutine(void);
extern void FileDeleteInitDialog(void);

extern void FileRenameRoutine(void);
extern void FileRenameInitDialog(void);

extern void FileAttributesRoutine(void);
extern void FileAttributesInitDialog(void);

extern void FileCreateRoutine(void);
extern void FileCreateInitDialog(void);

extern void FileExecRoutine(void);
extern void FileDropExecRoutine(void);
extern void FileExecInitDialog(void);

extern void FileInfoRoutine(void);
extern void FileInfoInitDialog(void);

extern void ArchiveTarRoutine(void);
extern void ArchiveTarInitDialog(void);

extern void ArchiveUnTarRoutine(void);
extern void ArchiveUnTarInitDialog(void);

extern void ArchiveGZipRoutine(void);
extern void ArchiveGZipInitDialog(void);

extern void ArchiveGUnZipRoutine(void);
extern void ArchiveGUnZipInitDialog(void);

extern void ArchiveEncodeRoutine(void);
extern void ArchiveEncodeInitDialog(void);

extern void ArchiveDecodeRoutine(void);
extern void ArchiveDecodeInitDialog(void);

extern void ArchiveSplitRoutine(void);
extern void ArchiveSplitInitDialog(void);

extern void ArchiveUnSplitRoutine(void);
extern void ArchiveUnSplitInitDialog(void);

extern void SelectFilterRoutine(void);
extern void SelectFilterInitDialog(void);

extern void GoToDirRoutine(void);
extern void GoToDirInitDialog(void);

extern void DropRoutine(void);
extern void DropInitDialog(void);

extern void InitModuleDialogs(void);

#endif





